#!/usr/bin/env bash

m64pncp=mupen64plus-noncore-plugins-git
all_pkgs=(
   # deps
   cef-standard
   cereal
   libsodium-git
   mozc
   vim-runtime-git

   # packages
   chocolate-doom
   chromium-vaapi-bin
   chromium-widevine
   desmume-git
   dolphin-emu-git
   eternity-engine-git
   fceux-git
   gdcc
   godot
   gopherus
   gvim-git
   gzdoom-legacy
   higan
   maxcso
   mednaffe
   megatools
   mgba-git
   motsognir
   mupen64plus-git
   mupen64plus-gui-git
   "$m64pncp"
   nicotine-plus-git
   obs-linuxbrowser-bin
   obs-studio-git
   pcsx2-git
   plasma5-applets-mpdnowplaying
   powershell-bin
   ppsspp-git
   prboom-plus
   ripcord
   rpcs3-git
   sharenix-git
   slade
   squirrel-sql
   teamviewer
   uim-mozc
   xf86-input-xwiimote-git
   xwiimote-git
   zdoom
)
declare -A options=(
   [cef-standard]="--asdeps"
   [cereal]="--asdeps"
   [libsodium-git]="--asdeps"
   [mozc]="--asdeps"
   [vim-runtime-git]="--asdeps"

   [higan]="--handle Higan --url https://gitlab.com/higan/higan.git/"
   [$m64pncp]="-f --url https://git.greyserv.net/marrub/$m64pncp.git"
   [motsognir]="--url https://git.greyserv.net/marrub/motsognir.git"
   [ppsspp-git]="--install-as ppsspp-git"
)

## EOF
